Firefox 1.5.x users not supported after April 2007

This is one of the details included to the Release Notes document of new Mozilla Firefox version 1.5.0.8:

Note: Firefox 1.5.0.x will be maintained with security and stability updates until April 24, 2007. All users are strongly encouraged to upgrade to Firefox 2.

Firefox 1.5.0.8 includes three security fixes and all of these have been rated as Critical using Mozilla Foundation’s own severity system:

Crashes with evidence of memory corruption (rv:1.8.0.8)

RSA signature forgery (variant)

Running Script can be recompiled

It appears that Mozilla Foundation wants to learn users to switch to FF 2.0. Organizations using 1.5.0.x specific extensions etc. need to get their environmet working with version 2.0 during these months before April.

Share